<?php

namespace Aviat\Banker\Tests\Driver;

use PHPUnit\Framework\TestCase;

class DriverTestBase extends TestCase {

	protected $driver;
	
	public function tearDown()
	{
		$this->driver->__destruct();
	}

	public function testGetSet()
	{
		$this->driver->set('foo', 'bar');
		$this->assertEquals('bar', $this->driver->get('foo'));

		$bar = [
			'foo' => [
				'apple' => 'orange'
			],
			'bar' => 'baz'
		];

		$this->driver->set('bar', $bar);
		$this->assertEquals($bar, $this->driver->get('bar'));
	}
}